Name:           platon
Version:        20081127
Release:        alt1
Summary:        PLATON is a versatile SHELX97 compatible multipurpose crystallographic tool

Group:          Sciences/Chemistry
License:        Proprietary
URL:            http://www.cryst.chem.uu.nl/platon/
Source0:        %name-%version.tar.gz
Source1:	%name.desktop
Source2:	%name.png

# Automatically added by buildreq on Fri Nov 28 2008
BuildRequires: gcc-fortran libX11-devel

%description
PLATON is a versatile SHELX97 compatible multipurpose crystallographic tool.

Most PLATON features complement those available in the excellent and widely 
distributed SHELX97 package for crystal structure determination and refinement.

Historically (1980) PLATON started out as a program for the automated 
calculation of derived geometrical data (i.e. bond distances, bond angles and 
torsion angles, including su's (esd's)) for structures refined with SHELX76. 
Since then, that basic function evolved into an automatic function to calculate
 everything of possible interest (both intra- and intermolecular)for a given 
structural parameter set (Instruction: CALC).

Over time, various other tools were introduced (Molecular Graphics i.e. PLUTON 
& ORTEP, Absorption correction, Data Validation etc.), some of which requiring 
a reflection datafile as well.

Several functions in PLATON (e.g. SPGR and EXOR) are there to implement 
calculations needed for datareduction, structure determination and refinement 
with a program system called 'SYSTEM-S'.

%prep
%setup -q

cp %SOURCE1 .
cp %SOURCE2 .

%build
g77 -o platon.ex platon.f xdrvr.c -lX11 

%install

install -d %buildroot%_bindir
install -d %buildroot%_datadir

install -d %buildroot%_desktopdir
install -d %buildroot%_iconsdir
install -d %buildroot%_liconsdir
install -d %buildroot%_miconsdir
install -d %buildroot%_niconsdir

install -d %buildroot%_libexecdir/%name

install -d %buildroot%_datadir/%name/ABSORB_EXAMPLE
install -d %buildroot%_datadir/%name/ABSTOMPA_EXAMPLE
install -d %buildroot%_datadir/%name/ABSTOMPA_TEST
install -d %buildroot%_datadir/%name/ADDSYM_EXAMPLE
install -d %buildroot%_datadir/%name/ASYM_EXAMPLE
install -d %buildroot%_datadir/%name/DELABS_EXAMPLE
install -d %buildroot%_datadir/%name/MULABS_EXAMPLE
install -d %buildroot%_datadir/%name/PSICOR_EXAMPLE
install -d %buildroot%_datadir/%name/SQUEEZE_EXAMPLE 

install -m 644 check.def %buildroot%_datadir/%name
install -m 755 %name.ex %buildroot%_libexecdir
install -m 755 %name %buildroot%_bindir
install -m 644 %SOURCE1 %buildroot%_desktopdir
install -m 644 %SOURCE2 %buildroot%_iconsdir
install -m 644 %SOURCE2 %buildroot%_liconsdir
install -m 644 %SOURCE2 %buildroot%_miconsdir
install -m 644 %SOURCE2 %buildroot%_niconsdir


install -m 644 test/ABSORB_EXAMPLE/*		%buildroot%_datadir/%name/ABSORB_EXAMPLE
install -m 644 test/ABSTOMPA_EXAMPLE/*		%buildroot%_datadir/%name/ABSTOMPA_EXAMPLE
install -m 644 test/ABSTOMPA_TEST/*		%buildroot%_datadir/%name/ABSTOMPA_TEST
install -m 644 test/ADDSYM_EXAMPLE/*		%buildroot%_datadir/%name/ADDSYM_EXAMPLE
install -m 644 test/ASYM_EXAMPLE/*		%buildroot%_datadir/%name/ASYM_EXAMPLE
install -m 644 test/DELABS_EXAMPLE/*		%buildroot%_datadir/%name/DELABS_EXAMPLE
install -m 644 test/MULABS_EXAMPLE/*		%buildroot%_datadir/%name/MULABS_EXAMPLE
install -m 644 test/PSICOR_EXAMPLE/*		%buildroot%_datadir/%name/PSICOR_EXAMPLE
install -m 644 test/SQUEEZE_EXAMPLE/*		%buildroot%_datadir/%name/SQUEEZE_EXAMPLE 

%files
%doc README README.ADDSYM README.LEPAGE README.PLUTON
%doc doc/* doc/images/*
%_bindir/*
%_libexecdir/*
%_desktopdir/%name.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_niconsdir/%name.png
%_datadir/%name/check.def
%_datadir/%name/ABSORB_EXAMPLE/*
%_datadir/%name/ABSTOMPA_EXAMPLE/*
%_datadir/%name/ABSTOMPA_TEST/*
%_datadir/%name/ADDSYM_EXAMPLE/*
%_datadir/%name/ASYM_EXAMPLE/*
%_datadir/%name/DELABS_EXAMPLE/*
%_datadir/%name/MULABS_EXAMPLE/*
%_datadir/%name/PSICOR_EXAMPLE/*
%_datadir/%name/SQUEEZE_EXAMPLE/*

%changelog
* Thu Nov 27 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 20081127-alt1
- First build package for ALTLinux Team. 
- Package based on the Pascal's Fedora package <pascal22p at parois dot net>.


